<bugID>1328025<Summary>Ctrl+C in urlbar only copies the last range of text selection</Summary><Description>&gt;&gt;&gt;   My Info:   Win7_64, Nightly 49, 32bit, ID 20160526082509
STR_1:
1. Open http://example.org/#hello,world! in a new tab
2. Select "org" then "world" in urlbar (suggested way to do so is [3] in the end of this comment)
3. Press Ctrl+C to copy selected text
4. Press Ctrl+A, then Ctrl+V to paste the text copied in Step 3 (or paste it somewhere else)

AR:  "world" appears in urlbar, what means that only second range was copied to clipboard in Step 3
ER:  "orgworld" should be copied to clipboard in Step 3



This was regressed twice:   [1] (2007-07-05 - 2007-07-06), then [2] (2012-06-07 - 2012-06-08)

[1] "Ctrl+C worked OK" -&gt; "Ctrl+C copies only 1st range"
There's no regression range, but it's possible to search bugs on Bugzilla (link below).
Probably it's bug 386971.
&gt; https://bugzilla.mozilla.org/buglist.cgi?list_id=13089055&amp;resolution=---&amp;resolution=FIXED&amp;resolution=INVALID&amp;resolution=WONTFIX&amp;resolution=DUPLICATE&amp;resolution=WORKSFORME&amp;resolution=INCOMPLETE&amp;resolution=SUPPORT&amp;resolution=EXPIRED&amp;resolution=MOVED&amp;chfieldto=2007-07-06&amp;query_format=advanced&amp;chfield=resolution&amp;chfieldfrom=2007-07-05&amp;chfieldvalue=FIXED&amp;bug_status=UNCONFIRMED&amp;bug_status=NEW&amp;bug_status=ASSIGNED&amp;bug_status=REOPENED&amp;bug_status=RESOLVED&amp;bug_status=VERIFIED&amp;bug_status=CLOSED

[2] "Ctrl+C copies only 1st range" -&gt; "Ctrl+C copies only 2nd range"
Here's regression range, but it's unclear what bug caused this cange:
&gt; http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=7e4c2abb9fc9&amp;tochange=22bb7d46bb23

[3] Explanation of STR_1 Step 2:
  2.1. Move mouse between "." and "o" in string ".org/", hold left mouse button
  2.2. Move mouse between "g" and "/" in string ".org/", release left mouse button
  2.3. Hold Ctrl key
  2.4. Move mouse between "," and "w" in string ",world!", hold left mouse button
  2.5. Move mouse between "d" and "!" in string ",world!", release left mouse button
  2.6. Release Ctrl key



Note:
 1) Ctrl+X never worked with multiple ranges in urlbar properly, but that's because Ctrl+X was
    broken in ANY &lt;input&gt; before 2007-07-05, and then urlbar case was regressed (see [1]).
 2) Delete key works OK in urlbar with multiple ranges.
    But on 2007-07-05 it was broken, just like Ctrl+X, in ANY &lt;input&gt;.</Description></bugID>